VIPW(8)

NAME
vipw - edit the password file

SYNOPSIS
/usr/etc/vipw

DESCRIPTION
vipw edits the password file while setting the appropriate locks, and does any necessary processing after the password file is unlocked. If the password file is already being edited, then you will be told to try again later. The vi(1) editor will be used unless the environment variable VISUAL or EDITOR indicates an alternate editor.

vipw performs a number of consistency checks on the password entry for root, and will not allow a password file with a “mangled” root entry to be installed. It also checks the /etc/shells file to verify the login shell for root.

FILES
/etc/ptmp
/etc/shells

SEE ALSO
passwd(1), vi(1), passwd(5), adduser(8)